% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/FlexRow.R
\name{FlexRow}
\alias{FlexRow}
\title{Row object for FlexTable}
\usage{
FlexRow(values, colspan, text.properties = textProperties(),
  par.properties = parProperties(), cell.properties = cellProperties())
}
\arguments{
\item{values}{Optional. a character vector to use as text content, the row will contain as many cells as there are in \code{values}.}

\item{colspan}{integer Optional. vector specifying for each element the number of columns to span for each corresponding value (in \code{values}).}

\item{text.properties}{Optional. textProperties to apply to each cell. Used only if values are not missing.}

\item{par.properties}{Optional. parProperties to apply to each cell. Used only if values are not missing.}

\item{cell.properties}{Optional. cellProperties to apply to each cell. Used only if values are not missing.}
}
\description{
Create a representation of a row that can be inserted in a FlexTable.
For internal usage.
}
\examples{
\donttest{
cell_fp <- cellProperties(background.color="#527578")
# example with characters ----
headerRow <- FlexRow( c("col 1", "col 2"), cell.properties = cell_fp )
# example with FlexCell ----
cell_fp <- cellProperties(background.color="#527578")
headerRow <- FlexRow()
headerRow[1] <- FlexCell( "col 1", cell.properties = cell_fp )
headerRow[2] <- FlexCell( "col 2", cell.properties = cell_fp )
}
}
\seealso{
\code{\link{FlexTable}}, \code{\link{alterFlexRow}}
, \code{\link{addHeaderRow}}, \code{\link{addFooterRow}}
}
